| RDB 2

Classes | Enumerations | Functions
riegl::rdb::pointcloud Namespace Reference

RDB point cloud classes. More...

## Classes
class | Changelog
| Manage point cloud changelog. More...
class | CreateSettings
| Database create settings. More...
class | DataTypeOf
| Get RDB data type enumerator from data type. More...
class | GraphNode
| Graph Node. More...
class | Management
| Basic point cloud management interface. More...
class | MetaData
| Manage point cloud meta data. More...
class | OpenSettings
| Database open settings. More...
class | PointAttribute
| Point attribute description. More...
class | PointAttributes
| Manage point attributes. More...
class | QueryFill
| Point fill query. More...
class | QueryInsert
| Point insert query. More...
class | QueryInvert
| Point invert query. More...
class | QueryRemove
| Point remove query. More...
class | QuerySelect
| Point select query. More...
class | QueryStat
| Point statistics query. More...
class | QueryUpdate
| Point update query. More...
class | Transaction
| Point cloud transaction. More...
class | Transactions
| Manage point cloud transactions. More...
class | TransactionScope
| Point cloud transaction scope helper class. More...

## Enumerations
enum | DataType { NONE = 0, UINT8 = 1, INT8 = 2, UINT16 = 3, INT16 = 4, UINT32 = 5, INT32 = 6, UINT64 = 7, INT64 = 8, SINGLE = 9, DOUBLE = 10, FLOAT32 = SINGLE, FLOAT64 = DOUBLE }
| Point attribute access data type. More...

## Functions
template<typename ValueType >
DataType | dataTypeOf ()
| Convenience wrapper for DataTypeOf class. More...
template<typename ValueType >
DataType | dataTypeOf (const ValueType &value)
| Convenience wrapper for DataTypeOf class. More...
template<typename ValueType >
ValueType * | dataPointerOf (ValueType *const value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType >
const ValueType * | dataPointerOf (const ValueType *const value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType >
ValueType * | dataPointerOf (ValueType &value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType >
const ValueType * | dataPointerOf (const ValueType &value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType , std::size_t Size>
ValueType * | dataPointerOf (std::array< ValueType, Size > &value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType , std::size_t Size>
const ValueType * | dataPointerOf (const std::array< ValueType, Size > &value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType , class Allocator >
ValueType * | dataPointerOf (std::vector< ValueType, Allocator > &value)
| Get pointer to variable or to data in a std::array or vector container. More...
template<typename ValueType , class Allocator >
const ValueType * | dataPointerOf (const std::vector< ValueType, Allocator > &value)
| Get pointer to variable or to data in a std::array or vector container. More...
bool | operator== (const GraphNode &n1, const GraphNode &n2)

## Detailed Description

RDB point cloud classes.

## Enumeration Type Documentation

## ◆ DataType

enum riegl::rdb::pointcloud::DataType

Point attribute access data type.

Enumerator
NONE | undefined data type
UINT8 | 8 bit unsigned integer
INT8 | 8 bit signed integer
UINT16 | 16 bit unsigned integer
INT16 | 16 bit signed integer
UINT32 | 32 bit unsigned integer
INT32 | 32 bit signed integer
UINT64 | 64 bit unsigned integer
INT64 | 64 bit signed integer
SINGLE | 32 bit single precision floating point value
DOUBLE | 64 bit double precision floating point value
FLOAT32 | 32 bit single precision floating point value
FLOAT64 | 64 bit double precision floating point value

Definition at line 56 of file dataTypes.hpp.

## Function Documentation

## ◆ dataPointerOf() [1/8]

template<typename ValueType >

ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | ValueType *const | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 176 of file dataTypes.hpp.

## ◆ dataPointerOf() [2/8]

template<typename ValueType >

const ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | const ValueType *const | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 182 of file dataTypes.hpp.

## ◆ dataPointerOf() [3/8]

template<typename ValueType >

ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | ValueType & | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 188 of file dataTypes.hpp.

## ◆ dataPointerOf() [4/8]

template<typename ValueType >

const ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | const ValueType & | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 194 of file dataTypes.hpp.

## ◆ dataPointerOf() [5/8]

template<typename ValueType , std::size_t Size>

ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | std::array< ValueType, Size > & | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 200 of file dataTypes.hpp.

## ◆ dataPointerOf() [6/8]

template<typename ValueType , std::size_t Size>

const ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | const std::array< ValueType, Size > & | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 206 of file dataTypes.hpp.

## ◆ dataPointerOf() [7/8]

template<typename ValueType , class Allocator >

ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | std::vector< ValueType, Allocator > & | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 212 of file dataTypes.hpp.

## ◆ dataPointerOf() [8/8]

template<typename ValueType , class Allocator >

const ValueType* riegl::rdb::pointcloud::dataPointerOf | ( | const std::vector< ValueType, Allocator > & | value | ) |

Get pointer to variable or to data in a std::array or vector container.

Definition at line 218 of file dataTypes.hpp.

## ◆ dataTypeOf() [1/2]

template<typename ValueType >

DataType riegl::rdb::pointcloud::dataTypeOf | ( |  | ) |

Convenience wrapper for DataTypeOf class.

Example:

std::cout << int(dataTypeOf< std::int32_t >()); // prints "6"
std::cout << int(dataTypeOf< std::array<double,3> >()); // prints "10"

Definition at line 147 of file dataTypes.hpp.

## ◆ dataTypeOf() [2/2]

template<typename ValueType >

DataType riegl::rdb::pointcloud::dataTypeOf | ( | const ValueType & | value | ) |

Convenience wrapper for DataTypeOf class.

Example:

float amplitude;
std::array<double,3> xyz;
std::cout << int(dataTypeOf(amplitude)); // prints "9"
std::cout << int(dataTypeOf(xyz)); // prints "10"

Definition at line 165 of file dataTypes.hpp.

## ◆ operator==()

bool riegl::rdb::pointcloud::operator== | ( | const GraphNode & | n1,
|  | const GraphNode & | n2
| ) |  |
| inline

Definition at line 94 of file graphNode.hpp.